Subject: Problems in using 'mprotect'
From: [email-masked] (Maurizio Martignano)

12 Dec 1996 06:43:24 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (Win95; I; 16bit)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hello everybody,
I'm working on a port of the GCC SW to the 1750.
At the moment there's a 'binutilities' port available for
Sparc Solaris and one for Linux. I'm trying to generate one
for WIN32 using the Cygnus system, but when I compile the sources
I get the following error:

gcc  -g  -o size size.o bucomm.o version.o filemode.o -L../bfd -lbfd
.../libiberty/libiberty.a
H:\GCC\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32/cygnus-2.7.2-961023/libgcc.a(_trampoline.o):
In function `mprotect':
/pizza/mushroom/noer/beta17/src/gcc/libgcc2.c(.text+0x67): undefined
reference to `VirtualProtect'

Any idea?

TIA,
Maurizio Martignano
European Space Agency
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".